reSIDfp::FilterModelConfig6581 Class Reference

`#include <FilterModelConfig6581.h>`

## Public Member Functions

int | getVoiceScaleS11 () const
int | getVoiceDC () const
unsigned short ** | getGain ()
unsigned short ** | getSummer ()
unsigned short ** | getMixer ()
unsigned short * | getDAC (double adjustment) const
std::unique_ptr< Integrator6581 > | buildIntegrator ()

## Static Public Member Functions

static FilterModelConfig6581 * | getInstance ()

## Friends

class | std::auto_ptr< FilterModelConfig6581 >

## Detailed Description

Calculate parameters for 6581 filter emulation.

## Member Function Documentation

## buildIntegrator()

std::unique_ptr< Integrator6581 > reSIDfp::FilterModelConfig6581::buildIntegrator | ( |  | ) |

Construct an integrator solver.

Returns
  the integrator

## getDAC()

unsigned short * reSIDfp::FilterModelConfig6581::getDAC | ( | double | adjustment | ) | const

Construct an 11 bit cutoff frequency DAC output voltage table. Ownership is transferred to the requester which becomes responsible of freeing the object when done.

Parameters

  adjustment |

Returns
  the DAC table

## getVoiceDC()

int reSIDfp::FilterModelConfig6581::getVoiceDC | ( |  | ) | const

inline

The "zero" output level of the voices.

## getVoiceScaleS11()

int reSIDfp::FilterModelConfig6581::getVoiceScaleS11 | ( |  | ) | const

inline

The digital range of one voice is 20 bits; create a scaling term for multiplication which fits in 11 bits.

The documentation for this class was generated from the following files:

- FilterModelConfig6581.h
- FilterModelConfig6581.cpp